Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZDebugSetting Class Reference

## Static Public Member Functions
static | isConditionTrue ( $conditionName, $messageType)
static | changeLabel ( $conditionName, $label='')
static | writeNotice ( $conditionName, $string, $label="")
static | writeWarning ( $conditionName, $string, $label="")
static | writeError ( $conditionName, $string, $label="")
static | writeDebug ( $conditionName, $string, $label="")
static | addTimingPoint ( $conditionName, $label="")

## Detailed Description

Provides conditional debug output

This works as a wrapper for the eZDebug class by checking some conditions defined in site.ini before writing the message. The condition must be true for the message to be written.

It will check the debug.ini file and first see if conditions are enabled globally by reading DebugSettings/ConditionDebug. If true if will then see if the condition exists in the GeneralCondition group, if so it will use it for condition check. If it doesn't exists generally it will check it specifically according to the message type for instance ErrorCondition, DebugCondition etc.

Example of debug.ini: `[DebugSettings] ConditionDebug=enabled`

`[GeneralCondition] my-flag=enabled other-flag=disabled`

`[ErrorCondition] bad-name-flag=disabled`

Definition at line 38 of file ezdebugsetting.php.

## Member Function Documentation

## ◆ addTimingPoint()

static eZDebugSetting::addTimingPoint | ( |  | $conditionName,
|  |  | $label = `""`
| ) |  |
| static

Adds the timing point if the condition $conditionName is enabled.

Parameters

  string | $conditionName | Name of the condition
  string | $label | Optional label

Definition at line 140 of file ezdebugsetting.php.

References eZDebug\addTimingPoint(), changeLabel(), isConditionTrue(), and eZDebug\LEVEL_TIMING_POINT.

## ◆ changeLabel()

static eZDebugSetting::changeLabel | ( |  | $conditionName,
|  |  | $label = `''`
| ) |  |
| static

Creates a new debug label from the original and the condition and returns it.

Parameters

  string | $conditionName | Name of the condition
  string | $label | Optional label

Returns
  string $label . '<' . $conditionName . '>'

Definition at line 70 of file ezdebugsetting.php.

Referenced by addTimingPoint(), eZSimplifiedXMLInput\inputXML(), eZXMLInputParser\process(), eZXMLInputParser\processNewElements(), eZXMLInputParser\processSubtree(), writeDebug(), writeError(), writeNotice(), and writeWarning().

## ◆ isConditionTrue()

static eZDebugSetting::isConditionTrue | ( |  | $conditionName,
|  |  | $messageType
| ) |  |
| static

Returns true if the condition $conditionName is considered enabled.

Parameters

  string | $conditionName | Name of the condition

Returns
  bool

Definition at line 47 of file ezdebugsetting.php.

References eZDebug\instance().

Referenced by addTimingPoint(), eZSimplifiedXMLInput\inputXML(), eZXMLInputParser\process(), eZXMLInputParser\processNewElements(), eZXMLInputParser\processSubtree(), writeDebug(), writeError(), writeNotice(), and writeWarning().

## ◆ writeDebug()

static eZDebugSetting::writeDebug | ( |  | $conditionName,
|  |  | $string,
|  |  | $label = `""`
| ) |  |
| static

Writes a debug message if the condition $conditionName is enabled.

Parameters

  string | $conditionName | Name of the condition
  string | $string | Text to write
  string | $label | Optional label

Definition at line 127 of file ezdebugsetting.php.

References changeLabel(), isConditionTrue(), eZDebug\LEVEL_DEBUG, and eZDebug\writeDebug().

Referenced by eZFSFileHandler\__construct(), eZPostgreSQLDB\__construct(), eZUser\_loginUser(), eZSimplifiedXMLInputParser\appendLineParagraph(), eZSearch\buildSearchArray(), eZTemplateTreeCache\cachedTree(), eZContentObject\canCreateClassList(), eZContentObjectTreeNode\canCreateClassList(), eZContentClass\canInstantiateClassList(), eZSiteAccess\change(), eZApproveType\checkApproveCollaboration(), eZClusterFileHandler\cleanupEmptyDirectories(), eZContentCacheManager\clearNodeViewCacheArray(), eZContentObject\copy(), eZContentObject\copyVersion(), eZNotificationEventType\create(), eZNotificationEvent\create(), eZUser\createHash(), eZFSFileHandler\dataType(), eZFSFileHandler\delete(), eZFSFileHandler\deleteLocal(), eZApproveType\execute(), eZContentCache\exists(), eZFSFileHandler\exists(), eZFSFileHandler\fetch(), eZFSFileHandler\fetchContents(), eZWorkflow\fetchEventIndexed(), eZCollaborationItem\fetchListTool(), eZUserType\fetchObjectAttributeHTTPInput(), eZFSFileHandler\fetchUnique(), eZFSFileHandler\fileCopy(), eZFSFileHandler\fileDelete(), eZFSFileHandler\fileDeleteByDirList(), eZFSFileHandler\fileDeleteByWildcard(), eZFSFileHandler\fileDeleteLocal(), eZFSFileHandler\fileExists(), eZFSFileHandler\fileFetch(), eZFSFileHandler\fileFetchContents(), eZFSFileHandler\fileLinkCopy(), eZFSFileHandler\fileMove(), eZFSFileHandler\fileStore(), eZFSFileHandler\fileStoreContents(), eZSearch\getEngine(), eZContentObjectTreeNode\getLimitationList(), eZCollaborationNotificationHandler\handle(), eZGeneralDigestHandler\handle(), eZSubTreeHandler\handle(), eZTemplateCompiler\hasCompiledTemplate(), eZCollaborationEventType\initializeEvent(), eZCurrentTimeType\initializeEvent(), eZPublishType\initializeEvent(), eZNotificationEvent\initializeEventType(), eZPolicy\limitationList(), eZFSFileHandler\loadMetaData(), eZTSTranslator\loadTranslationFile(), eZLDAPUser\loginUser(), eZTextFileUser\loginUser(), eZSiteAccess\match(), eZFSFileHandler\move(), eZFSFileHandler\mtime(), eZFSFileHandler\name(), eZUserType\objectAttributeContent(), eZFSFileHandler\passthrough(), eZFSFileHandler\processCache(), eZContentObject\relatedContentObjectCount(), eZContentObject\relatedContentObjectList(), eZContentCache\restore(), eZWorkflowProcess\run(), eZSubTreeHandler\sendMessage(), eZNotificationSchedule\setDateForItem(), eZFSFileHandler\size(), eZFSFileHandler\stat(), eZFSFileHandler\storeContents(), eZCollaborationGroup\subTree(), eZDBSchemaInterface\transformData(), eZDBSchemaInterface\transformSchema(), eZURLWildcard\translate(), eZURLWildcard\translateWithCache(), and eZSimplifiedXMLInput\validateInput().

## ◆ writeError()

static eZDebugSetting::writeError | ( |  | $conditionName,
|  |  | $string,
|  |  | $label = `""`
| ) |  |
| static

Writes a debug error if the condition $conditionName is enabled.

Parameters

  string | $conditionName | Name of the condition
  string | $string | Text to write
  string | $label | Optional label

Definition at line 113 of file ezdebugsetting.php.

References changeLabel(), isConditionTrue(), eZDebug\LEVEL_ERROR, and eZDebug\writeError().

Referenced by eZGZIPShellCompressionHandler\doSeek(), eZApproveType\execute(), and eZWaitUntilDateType\execute().

## ◆ writeNotice()

static eZDebugSetting::writeNotice | ( |  | $conditionName,
|  |  | $string,
|  |  | $label = `""`
| ) |  |
| static

Writes a debug notice if the condition $conditionName is enabled.

Parameters

  string | $conditionName | Name of the condition
  string | $string | Text to write
  string | $label | Optional label

Definition at line 85 of file ezdebugsetting.php.

References changeLabel(), isConditionTrue(), eZDebug\LEVEL_NOTICE, and eZDebug\writeNotice().

Referenced by eZTSTranslator\loadTranslationFile(), eZPackage\storeDOM(), and eZPackage\storeString().

## ◆ writeWarning()

static eZDebugSetting::writeWarning | ( |  | $conditionName,
|  |  | $string,
|  |  | $label = `""`
| ) |  |
| static

Writes a debug warning if the condition $conditionName is enabled.

Parameters

  string | $conditionName | Name of the condition
  string | $string | Text to write
  string | $label | Optional label

Definition at line 99 of file ezdebugsetting.php.

References changeLabel(), isConditionTrue(), eZDebug\LEVEL_WARNING, and eZDebug\writeWarning().

Referenced by eZContentObjectTreeNode\createClassFilteringSQLString(), and eZContentObjectTreeNode\subTreeCountByNodeID().

The documentation for this class was generated from the following file:

- ezdebugsetting.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.